HELP2MAN(1)

NAVN
help2man - generer en enkel manualside

OVERSIKT
help2man [VALG] ... KJØRBAR

BESKRIVELSE
«help2man» genererer en manual-side ved hjelp av utdata fra «--help» og «--version».

-n, --name=STRENG
    beskrivelse for NAVN-paragraf

-s, --section=SEKSJON
    seksjonsnummer for manualside (1, 6, 8)

-m, --manual=TEKST
    navn på manual (Brukerkommandoer, ...)

-S, --source=TEKST
    kilde til program (FSF, Debian, ...)

-L, --locale=STRENG
    velg «locale» (standard «C»)

-i, --include=FIL
    inkluder materiale fra «FIL»

-I, --opt-include=FIL
    inkluder materiale fra «FIL» hvis den finnes

-o, --output=FIL
    send utdata til «FIL»

-p, --info-page=TEKST
    navn på Texinfo-manual

-N, --no-info
    undertrykk peker til Texinfo-manual

-l, --libtool
    ekskluder «lt-» fra programnavnet

--help
    skriv ut denne hjelpen og avslutt

--version
    skriv ut versjonsnummer og avslutt

KJØRBAR bør akseptere «- help» og «- version» opsjoner og produsere utdata på standard ut selv om alternativer kan spesifiseres ved hjelp av

-h, --help-option=STRENG
    hjelpevalg-streng

-v, --version-option=STRENG
    versjonsvalg-streng

--version-string=STRENG
    versjonsstreng

--no-discard-stderr
    inkluder standardfeil under analysering av output-valget

INKLUDER FILER
Ytterligere materiale kan være inkludert i den genererte utskriften med --include og --opt-include alternativer. Formatet er enkelt
    [seksjon]
    tekst
    /mønster/
    tekst Blokker av ordrett *roff-tekst er satt inn i utdata enten ved starten på den gitte [seksjon] (små bokstaver), eller etter et avsnitt matchende /mønster/. Mønstre bruker Perl regulære uttrykk syntaks og kan bli etterfulgt av the i, s eller m modifikatorer (se perlre(1)). Linjene før den første seksjon eller mønster som begynner med «-» er behandlet som alternativer. Noe annet er stille ignorert og kan brukes for kommentarer, RCS-søkeord og lignende. Seksjonsutgangsrekkefølgen (for de som er inkludert) er:
    NAVN
    OVERSIKT
    BESKRIVELSE
    VALG
    MILJØ
    FILER
    EKSEMPLER
    andre
    OPPHAVSMANN
    RAPPORTERING AV FEIL
    OPPHAVSRETT
    SE OGSÅ Ethvert [NAVN] eller [OVERSIKT] seksjoner som vises i inkluder-filen vil erstatte det som ville automatisk ha blitt produsert (selv om du fortsatt kan overstyre det forrige med --name hvis nødvendig). Andre seksjoner er forvalgt i automatisk produsert utdata for standard seksjoner gitt ovenfor, eller inkludert ved andre (ovenfor) i den rekkefølgen de ble påtruffet i inkluder-filen. Plassering av teksten innenfor seksjonen kan være eksplisitt forespurt ved hjelp av syntaksen [<seksjon], [=seksjon] eller [>seksjon] for å plassere ytterligere tekst henholdsvis før, i stedet for eller etter standard utdata.

TILGJENGELIGHET
Den nyeste versjonen av denne distribusjonen er tilgjengelig på nettet fra:
    ftp://ftp.gnu.org/gnu/help2man/

OPPHAVSMANN
Skrevet av Brendan O'Dea <bod@debian.org>

RAPPORTERING AV FEIL
Rapporter feil til <bug-help2man@gnu.org>.

Opphavsrett (C) 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2009, 2010, 2011, 2012, 2013, 2014, 2015 Free Software Foundation, Inc.
Dette er fri programvare; se kildekoden for kopieringsbetingelser. Det er ingen garanti; ikke engang for SALGBARHET eller EGNETHET FOR ET BESTEMT FORMÅL.

SE OGSÅ
Den fullstendige dokumentasjonen for help2man opprettholdes som en Texinfo manual. Dersom info og help2man programmene er riktig installert på ditt sted burde kommandoen

    info help2man

gi deg tilgang til hele manualen.